java.awt.geom

## Class Ellipse2D.Float

- java.lang.Object
- - java.awt.geom.RectangularShape
  - - java.awt.geom.Ellipse2D
    - - java.awt.geom.Ellipse2D.Float

- All Implemented Interfaces:
    Shape, Serializable, Cloneable
  Enclosing class:
    Ellipse2D

      public static class Ellipse2D.Float
      extends Ellipse2D
      implements Serializable

  The `Float` class defines an ellipse specified in `float` precision.
  Since:
    1.2
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.awt.geom.Ellipse2D

      `Ellipse2D.Double, Ellipse2D.Float`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `float` | `height` The overall height of this `Ellipse2D`.
    `float` | `width` The overall width of this `Ellipse2D`.
    `float` | `x` The X coordinate of the upper-left corner of the framing rectangle of this `Ellipse2D`.
    `float` | `y` The Y coordinate of the upper-left corner of the framing rectangle of this `Ellipse2D`.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Ellipse2D.Float()` Constructs a new `Ellipse2D`, initialized to location (0, 0) and size (0, 0).
    `Ellipse2D.Float(float x, float y, float w, float h)` Constructs and initializes an `Ellipse2D` from the specified coordinates.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Rectangle2D` | `getBounds2D()` Returns a high precision and more accurate bounding box of the `Shape` than the `getBounds` method.
    `double` | `getHeight()` Returns the height of the framing rectangle in `double` precision.
    `double` | `getWidth()` Returns the width of the framing rectangle in `double` precision.
    `double` | `getX()` Returns the X coordinate of the upper-left corner of the framing rectangle in `double` precision.
    `double` | `getY()` Returns the Y coordinate of the upper-left corner of the framing rectangle in `double` precision.
    `boolean` | `isEmpty()` Determines whether the `RectangularShape` is empty.
    `void` | `setFrame(double x, double y, double w, double h)` Sets the location and size of the framing rectangle of this `Shape` to the specified rectangular values.
    `void` | `setFrame(float x, float y, float w, float h)` Sets the location and size of the framing rectangle of this `Shape` to the specified rectangular values.

    - ### Methods inherited from class java.awt.geom.Ellipse2D

      `contains, contains, equals, getPathIterator, hashCode, intersects`

    - ### Methods inherited from class java.awt.geom.RectangularShape

      `clone, contains, contains, getBounds, getCenterX, getCenterY, getFrame, getMaxX, getMaxY, getMinX, getMinY, getPathIterator, intersects, setFrame, setFrame, setFrameFromCenter, setFrameFromCenter, setFrameFromDiagonal, setFrameFromDiagonal`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### x

          public float x

      The X coordinate of the upper-left corner of the framing rectangle of this `Ellipse2D`.
      Since:
        1.2

    - #### y

          public float y

      The Y coordinate of the upper-left corner of the framing rectangle of this `Ellipse2D`.
      Since:
        1.2

    - #### width

          public float width

      The overall width of this `Ellipse2D`.
      Since:
        1.2

    - #### height

          public float height

      The overall height of this `Ellipse2D`.
      Since:
        1.2

  - ### Constructor Detail

    - #### Ellipse2D.Float

          public Ellipse2D.Float()

      Constructs a new `Ellipse2D`, initialized to location (0, 0) and size (0, 0).
      Since:
        1.2

    - #### Ellipse2D.Float

          public Ellipse2D.Float(float x,
                         float y,
                         float w,
                         float h)

      Constructs and initializes an `Ellipse2D` from the specified coordinates.
      Parameters:
        `x` - the X coordinate of the upper-left corner of the framing rectangle
        `y` - the Y coordinate of the upper-left corner of the framing rectangle
        `w` - the width of the framing rectangle
        `h` - the height of the framing rectangle
      Since:
        1.2

  - ### Method Detail

    - #### getX

          public double getX()

      Returns the X coordinate of the upper-left corner of the framing rectangle in `double` precision.
      Specified by:
        `getX` in class `RectangularShape`
      Returns:
        the X coordinate of the upper-left corner of the framing rectangle.
      Since:
        1.2

    - #### getY

          public double getY()

      Returns the Y coordinate of the upper-left corner of the framing rectangle in `double` precision.
      Specified by:
        `getY` in class `RectangularShape`
      Returns:
        the Y coordinate of the upper-left corner of the framing rectangle.
      Since:
        1.2

    - #### getWidth

          public double getWidth()

      Returns the width of the framing rectangle in `double` precision.
      Specified by:
        `getWidth` in class `RectangularShape`
      Returns:
        the width of the framing rectangle.
      Since:
        1.2

    - #### getHeight

          public double getHeight()

      Returns the height of the framing rectangle in `double` precision.
      Specified by:
        `getHeight` in class `RectangularShape`
      Returns:
        the height of the framing rectangle.
      Since:
        1.2

    - #### isEmpty

          public boolean isEmpty()

      Determines whether the `RectangularShape` is empty. When the `RectangularShape` is empty, it encloses no area.
      Specified by:
        `isEmpty` in class `RectangularShape`
      Returns:
        `true` if the `RectangularShape` is empty; `false` otherwise.
      Since:
        1.2

    - #### setFrame

          public void setFrame(float x,
                      float y,
                      float w,
                      float h)

      Sets the location and size of the framing rectangle of this `Shape` to the specified rectangular values.
      Parameters:
        `x` - the X coordinate of the upper-left corner of the specified rectangular shape
        `y` - the Y coordinate of the upper-left corner of the specified rectangular shape
        `w` - the width of the specified rectangular shape
        `h` - the height of the specified rectangular shape
      Since:
        1.2

    - #### setFrame

          public void setFrame(double x,
                      double y,
                      double w,
                      double h)

      Sets the location and size of the framing rectangle of this `Shape` to the specified rectangular values.
      Specified by:
        `setFrame` in class `RectangularShape`
      Parameters:
        `x` - the X coordinate of the upper-left corner of the specified rectangular shape
        `y` - the Y coordinate of the upper-left corner of the specified rectangular shape
        `w` - the width of the specified rectangular shape
        `h` - the height of the specified rectangular shape
      Since:
        1.2
      See Also:
        `RectangularShape.getFrame()`

    - #### getBounds2D

          public Rectangle2D getBounds2D()

      Returns a high precision and more accurate bounding box of the `Shape` than the `getBounds` method. Note that there is no guarantee that the returned `Rectangle2D` is the smallest bounding box that encloses the `Shape`, only that the `Shape` lies entirely within the indicated `Rectangle2D`. The bounding box returned by this method is usually tighter than that returned by the `getBounds` method and never fails due to overflow problems since the return value can be an instance of the `Rectangle2D` that uses double precision values to store the dimensions.
      Specified by:
        `getBounds2D` in interface `Shape`
      Returns:
        an instance of `Rectangle2D` that is a high-precision bounding box of the `Shape`.
      Since:
        1.2
      See Also:
        `Shape.getBounds()`

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.